Subject: Re: [PATCH v2 0/3] Add option --ref to git-replay(1)

From: Junio C Hamano <[email-masked]>
Date: Thu, 26 Mar 2026 14:20:02 -0700

Toon Claes <[email-masked]> writes:

> This series is based on Siddharth's series[3] to add '--revert' to
> git-replay(1) (sa/replay-revert @ ba5c0d03d3).

As sa/replay-revert has been updated, I rebased these three patches
on top of the updated version of that other topic and merged it to
'seen', which broke CI with t3650.

I naturally suspected that I made some stupid mistakes while
rebasing, so I applied these three patches directly on top of that
old sa/replay-revert.  Unfortunately, the same test t3650 fails
exactly the same way with merge-ort aborting.

The failing test run fails like so:

ok 45 - --ref with nonexistent fully-qualified ref

expecting success of 3650.46 '--ref must be a valid refname':
        test_must_fail git replay --onto=main --ref="refs/heads/bad..ref" topic1..topic2 2>err &&
        test_grep "is not a valid refname" err

/home/gitster/w/git.git/t/test-lib-functions.sh: line 1180: 2840466 Aborted                    (core dumped) "$@" 2>&7
test_must_fail: died by signal 6: git replay --onto=main --ref=refs/heads/bad..ref topic1..topic2
not ok 46 - --ref must be a valid refname
#
#               test_must_fail git replay --onto=main --ref="refs/heads/bad..ref" topic1..topic2 2>err &&
#               test_grep "is not a valid refname" err
#
1